| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ob::AccelStreamProfile Class Reference

`#include <StreamProfile.hpp>`

Inheritance diagram for ob::AccelStreamProfile:

## Public Member Functions
| AccelStreamProfile (StreamProfile &profile)
| ~AccelStreamProfile () noexcept
OBAccelFullScaleRange | fullScaleRange () const
| Get full scale range. More...
OBAccelSampleRate | sampleRate () const
| Get sampling frequency. More...
Public Member Functions inherited from ob::StreamProfile
| StreamProfile (std::unique_ptr< StreamProfileImpl > impl)
| StreamProfile (StreamProfile &streamProfile)
| ~StreamProfile () noexcept
OBFormat | format () const
| Get the format of the stream. More...
OBStreamType | type () const
| Get the type of stream. More...
template<typename T >
bool | is ()
| Check if frame object is compatible with the given type. More...
template<typename T >
std::shared_ptr< T > | as ()
| Object type conversion. More...

## Additional Inherited Members
Protected Attributes inherited from ob::StreamProfile
std::unique_ptr< StreamProfileImpl > | impl_

## Detailed Description

Definition at line 144 of file StreamProfile.hpp.

## Constructor & Destructor Documentation

ob::AccelStreamProfile::AccelStreamProfile | ( | StreamProfile & | profile | ) |

ob::AccelStreamProfile::~AccelStreamProfile | ( |  | ) |
| noexcept

## Member Function Documentation

OBAccelFullScaleRange ob::AccelStreamProfile::fullScaleRange | ( |  | ) | const

Get full scale range.

Returns
  OBAccelFullScaleRange returns the scale range value

OBAccelSampleRate ob::AccelStreamProfile::sampleRate | ( |  | ) | const

Get sampling frequency.

Returns
  OBAccelFullScaleRange returns the sampling frequency

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/StreamProfile.hpp